export default {
  ssr: false,
  target: 'static',
  server: {
    host: '0',
    port: 3000
  },
  head: {
    title: 'app',
    htmlAttrs: {
      lang: 'ru',
    },
    meta: [
      { charset: 'utf-8' },
      { name: 'viewport', content: 'width=device-width, initial-scale=1' },
      { hid: 'description', name: 'description', content: '' },
      { name: 'format-detection', content: 'telephone=no' },
    ],
    link: [{ rel: 'icon', type: 'image/x-icon', href: '/favicon.ico' }],
  },
  css: [
    'assets/styles/app.scss'
  ],
  router: {
    extendRoutes(routes) {
      for (const index in Object.entries(routes)) {
        const route = routes[index];

        if (route.path.endsWith('/Index')) {
          route.path = route.path.replace('/Index', '/');
        }
      }
    },
  },
  plugins: [],
  components: true,
  buildModules: [
    '@nuxtjs/eslint-module',
    '@nuxtjs/stylelint-module',
  ],
  modules: [],
  build: {},
}
